package ru.roe.timesheets.service;

import org.springframework.stereotype.Service;
import ru.roe.timesheets.utils.Period;
import ru.roe.timesheets.core.TimeScaleBean;
import ru.roe.timesheets.enumeration.TimeScaleUnit;

import java.util.Date;
import java.util.List;

@Service(TimeScaleService.NAME)
public class TimeScaleServiceBean implements TimeScaleService {

    @Override
    public TimeScaleUnit getDefaultTimeScaleUnitForInterval(Date startDate, Date endDate) {
        // автоматический подбор TimeScaleUnit в зависимости от выбранного интервала дат
        return TimeScaleBean.getDefaultTimeScaleUnitForInterval(startDate,endDate);
    }

    @Override
    public List<Period> getPeriodsByUnit(Date startDate, Date endDate, TimeScaleUnit unit) {
        return TimeScaleBean.getTimePeriodsByUnit(startDate, endDate, unit);
    }

    @Override
    public String getPeriodName(TimeScaleUnit unit, Date startDate) {
        return TimeScaleBean.getPeriodName(unit,startDate);
    }

}