package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import org.apache.commons.lang3.StringUtils;

@NamePattern("%s|projectName")
@MetaClass(name = "timesheets_MspProject")
public class MspProject extends BaseUuidEntity {
    private static final long serialVersionUID = 7146575047205563762L;

    @MetaProperty
    protected String projectName;

    @MetaProperty
    protected String ownId;

    @MetaProperty
    protected String projectTitle;

    @MetaProperty
    protected Integer projectYear;

    @MetaProperty
    protected MspProjectType projectType;

    public String getOwnId() {
        return ownId;
    }

    public void setOwnId(String ownId) {
        this.ownId = ownId;
    }

    public MspProjectType getProjectType() {
        return projectType;
    }

    public void setProjectType(MspProjectType projectType) {
        this.projectType = projectType;
    }

    public Integer getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(Integer projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectTitle() {
        return projectTitle;
    }

    public void setProjectTitle(String projectTitle) {
        this.projectTitle = projectTitle;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }


    /*
        Входит ли поисковая строка (String searchString) в наименование
    */
    public boolean complexSearch(String searchString){
        String targetString = this.getProjectName() + this.getProjectTitle() + this.getProjectYear();
        return StringUtils.containsIgnoreCase(targetString, searchString);
    }



}