package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import org.apache.commons.lang3.StringUtils;

@NamePattern("%s|name")
@MetaClass(name = "timesheets_MspResource")
public class MspResource extends BaseUuidEntity {
    private static final long serialVersionUID = -7704944854492894465L;

    @MetaProperty
    protected String account;

    @MetaProperty
    protected String ownId;

    @MetaProperty
    protected String name;

    public String getOwnId() {
        return ownId;
    }

    public void setOwnId(String ownId) {
        this.ownId = ownId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    /*
        Входит ли поисковая строка (String searchString) в наименование или код указанного Утвержденного наименования
    */
    public boolean complexSearch(String searchString){
        String targetString = this.getName() + this.getAccount();
        return StringUtils.containsIgnoreCase(targetString, searchString);
    }


}