package ru.roe.timesheets.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import org.apache.commons.lang3.StringUtils;

@NamePattern("%s|shortName")
@MetaClass(name = "timesheets_MspWorkType")
public class MspWorkType extends BaseUuidEntity {
    private static final long serialVersionUID = 1941662107587363039L;

    @MetaProperty
    protected String shortName;

    @MetaProperty
    protected String ownId;

    @MetaProperty
    protected String completeName;

    @MetaProperty
    protected MspWorkType parentLink;

    public String getOwnId() {
        return ownId;
    }

    public void setOwnId(String ownId) {
        this.ownId = ownId;
    }

    public MspWorkType getParentLink() {
        return parentLink;
    }

    public void setParentLink(MspWorkType parentLink) {
        this.parentLink = parentLink;
    }

    public String getCompleteName() {
        return completeName;
    }

    public void setCompleteName(String completeName) {
        this.completeName = completeName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    /*
        Входит ли поисковая строка (String searchString) в наименование
    */
    public boolean complexSearch(String searchString){
        String targetString = this.getCompleteName() + this.getShortName();
        return StringUtils.containsIgnoreCase(targetString, searchString);
    }


}