package ru.roe.timesheets.enumeration;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum GroupingMethod implements EnumClass<Integer> {

    BY_PROJECTS(10),
    BY_SYSTEM(20),
    BY_PROJECT_TYPE(30),
    BY_RESOURCE(40),
    BY_WORK_TYPE(50),
    BY_LIFE_CYCLE_PART(60);

    private Integer id;

    GroupingMethod(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static GroupingMethod fromId(Integer id) {
        for (GroupingMethod at : GroupingMethod.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}