package ru.roe.timesheets.enumeration;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum TimeScaleUnit implements EnumClass<Integer> {

    DAY(10),
    WEEK(20),
    MONTH(40),
    QUARTER(50),
    YEAR(60);

    private Integer id;

    TimeScaleUnit(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TimeScaleUnit fromId(Integer id) {
        for (TimeScaleUnit at : TimeScaleUnit.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}