package ru.roe.timesheets.utils;

import org.apache.commons.lang3.time.DateUtils;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;

public class Period implements Serializable {
    Date startDate; //  граница временного интервала (общего), если период неполный
    Date startPeriodDate;   // точная граница периода
    Date endDate;   // граница временного интервала (общего), если период неполный
    Date endPeriodDate; // точная граница периода
    private Boolean isHoliday;

    public Date getStartPeriodDate() {
        return startPeriodDate;
    }

    public void setStartPeriodDate(Date startPeriodDate) {
        this.startPeriodDate = startPeriodDate;
    }

    public Date getEndPeriodDate() {
        return endPeriodDate;
    }

    public void setEndPeriodDate(Date endPeriodDate) {
        this.endPeriodDate = endPeriodDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Boolean getPeriodIsHoliday() {
        if (isHoliday != null)
            return isHoliday;

        Calendar calendar = Calendar.getInstance();
        Calendar endCalendar = Calendar.getInstance();

        isHoliday = true;
        endCalendar.setTime(DateUtils.truncate(endPeriodDate, Calendar.DATE));
        calendar.setTime(DateUtils.truncate(startPeriodDate, Calendar.DATE));
        while (calendar.compareTo(endCalendar) <= 0)
        {

          int dayOfWeek = calendar.get(Calendar.DAY_OF_WEEK);
          boolean onWeekend =  dayOfWeek == Calendar.SATURDAY || dayOfWeek == Calendar.SUNDAY;
          if (!onWeekend)
          {
              isHoliday = false;
          break;
          }
            calendar.add(Calendar.DATE, 1);
        }
        return isHoliday;
    }
}
