package ru.roe.timesheets.web.screens.msplifecyclepart;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspLifeCyclePart;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspLifeCyclePart.browse")
@UiDescriptor("msp-life-cycle-part-browse.xml")
@LookupComponent("mspLifeCyclePartsTable")
@LoadDataBeforeShow
public class MspLifeCyclePartBrowse extends StandardLookup<MspLifeCyclePart> {

    @Inject
    private CollectionLoader<MspLifeCyclePart> mspLifeCyclePartsDl;
    @Inject
    private DimensionService dimensionService;

    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event) {
        getLifeCycleTypes(); // прочитать список стадий жизненного цикла
    }


    // *** METHODS *********************************************************************************
    // прочитать список проектов
    private void getLifeCycleTypes() {
        // загрузка данных Проектов
        mspLifeCyclePartsDl.setLoadDelegate(valueLoadContext -> dimensionService.getLifeCycleParts());
        mspLifeCyclePartsDl.load();
    }


}