package ru.roe.timesheets.web.screens.mspproject;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspLifeCyclePart;
import ru.roe.timesheets.entity.MspProject;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspProject.browse")
@UiDescriptor("msp-project-browse.xml")
@LookupComponent("mspProjectsTable")
@LoadDataBeforeShow
public class MspProjectBrowse extends StandardLookup<MspProject> {


    @Inject
    private CollectionLoader<MspProject> ProjectsDl;
    @Inject
    private DimensionService dimensionService;


    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event) {
        getProjectList();   // прочитать список проектов
    }



    // *** METHODS *********************************************************************************
    // прочитать список проектов
    private void getProjectList() {
        // загрузка данных Проектов
        ProjectsDl.setLoadDelegate(valueLoadContext -> dimensionService.getProjectList(null, null, null));
        ProjectsDl.load();
    }



}