package ru.roe.timesheets.web.screens.mspprojecttype;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspProjectType;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspProjectType.browse")
@UiDescriptor("msp-project-type-browse.xml")
@LookupComponent("mspProjectTypesTable")
@LoadDataBeforeShow
public class MspProjectTypeBrowse extends StandardLookup<MspProjectType> {

    @Inject
    private CollectionLoader<MspProjectType> mspProjectTypesDl;
    @Inject
    private DimensionService dimensionService;

    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event) {
        getProjectTypes();  // прочитать список типов проектов
    }

    // *** METHODS *********************************************************************************

    // прочитать список проектов
    private void getProjectTypes() {
        // загрузка данных Проектов
        mspProjectTypesDl.setLoadDelegate(valueLoadContext -> dimensionService.getProjectTypeList());
        mspProjectTypesDl.load();
    }


}