package ru.roe.timesheets.web.screens.mspresource;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspResource;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspResource.browse")
@UiDescriptor("msp-resource-browse.xml")
@LookupComponent("mspResourcesTable")
@LoadDataBeforeShow
public class MspResourceBrowse extends StandardLookup<MspResource> {

    @Inject
    private CollectionLoader<MspResource> mspResourcesDl;
    @Inject
    private DimensionService dimensionService;


    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event) {
        getResources();   // прочитать список проектов
    }


    // *** METHODS *********************************************************************************
    // прочитать список проектов
    private void getResources() {
        // загрузка данных Проектов
        mspResourcesDl.setLoadDelegate(valueLoadContext -> dimensionService.getResources());
        mspResourcesDl.load();
    }


}