package ru.roe.timesheets.web.screens.mspsystem;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspSystem;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspSystem.browse")
@UiDescriptor("msp-system-browse.xml")
@LookupComponent("mspSystemsTable")
@LoadDataBeforeShow
public class MspSystemBrowse extends StandardLookup<MspSystem> {

    @Inject
    private CollectionLoader<MspSystem> mspSystemsDl;
    @Inject
    private DimensionService dimensionService;

    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event){
        getSystems(); // прочитать список автоматизированных систем
    }


    // *** METHODS *********************************************************************************
    // прочитать список проектов
    private void getSystems() {
        // загрузка данных Проектов
        mspSystemsDl.setLoadDelegate(valueLoadContext -> dimensionService.getSystems());
        mspSystemsDl.load();
    }


}