package ru.roe.timesheets.web.screens.mspworktype;

import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import ru.roe.timesheets.entity.MspWorkType;
import ru.roe.timesheets.service.DimensionService;

import javax.inject.Inject;

@UiController("timesheets_MspWorkType.browse")
@UiDescriptor("msp-work-type-browse.xml")
@LookupComponent("mspWorkTypesTable")
@LoadDataBeforeShow
public class MspWorkTypeBrowse extends StandardLookup<MspWorkType> {

    @Inject
    private CollectionLoader<MspWorkType> mspWorkTypesDl;
    @Inject
    private DimensionService dimensionService;

    // *** EVENTS *********************************************************************************
    @Subscribe
    public void onInit(InitEvent event) {
        getLifeCycleTypes(); // прочитать классификатор стадий жизненного цикла
    }


    // *** METHODS *********************************************************************************
    // прочитать список проектов
    private void getLifeCycleTypes() {
        // загрузка данных Проектов
        mspWorkTypesDl.setLoadDelegate(valueLoadContext -> dimensionService.getWorkTypes());
        mspWorkTypesDl.load();
    }



}